Bug 1278644 - [RFE] manage provisioning templates outside of the web interface
Summary: [RFE] manage provisioning templates outside of the web interface
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: 6.1.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Lukas Zapletal
URL:
Whiteboard:
Depends On:
Blocks: 1287901
TreeView+ depends on / blocked
 
Reported: 2015-11-06 04:39 UTC by Jacob Hunt
Modified: 2019-08-12 16:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:32:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Jacob Hunt 2015-11-06 04:39:54 UTC
Description of problem:

We would like to manage all of our provisioning templates in an external git repository and allow the templates to be stored on disk so we can git clone the repository and track changes and externally log file differences without needing to use the satellite gui.

Version-Release number of selected component (if applicable):

Satellite 1.6.3

Comment 5 Bryan Kearney 2016-07-08 20:37:14 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 7 Lukas Zapletal 2017-07-19 09:22:01 UTC
There is a plugin available which allows you to do that:

https://github.com/theforeman/foreman_templates

It's available for couple of years, but the first Satellite version to ship it will be 6.3.

Currently there is no CLI or UI, you need to initiate the import via simple API.

QA NOTES:

1) Install foreman_templates plugin
2) Verify the endpoint importing some templates from git

Comment 9 Lukas Zapletal 2017-08-09 13:50:29 UTC
Installed the plugin gem, then:

[root@zzzap ~]# foreman-rake templates:sync
/opt/theforeman/tfm/root/usr/share/gems/gems/redhat_access-2.0.3/app/services/redhat_access/telemetry/look_ups.rb:171: warning: key :hosts is duplicated and overwritten on line 172
Deprecation warning: JobTemplate support is moving to the Remote Execution plugin
- please add 'model: JobTemplate' to the metadata in 'Package Action - SSH Default' to call the right method
Deprecation warning: JobTemplate support is moving to the Remote Execution plugin
- please add 'model: JobTemplate' to the metadata in 'Power Action - SSH Default' to call the right method
Deprecation warning: JobTemplate support is moving to the Remote Execution plugin
- please add 'model: JobTemplate' to the metadata in 'Puppet Run Once - SSH Default' to call the right method
Deprecation warning: JobTemplate support is moving to the Remote Execution plugin
- please add 'model: JobTemplate' to the metadata in 'Run Command - SSH Default' to call the right method
Deprecation warning: JobTemplate support is moving to the Remote Execution plugin
- please add 'model: JobTemplate' to the metadata in 'Service Action - SSH Default' to call the right method
Deprecation warning: JobTemplate support is moving to the Remote Execution plugin
- please add 'model: JobTemplate' to the metadata in 'Start OpenSCAP scans' to call the right method
  Skipping: 'Community Package Action - SSH Default' - Unknown template model ''
  Skipping: 'Community Power Action - SSH Default' - Unknown template model ''
  Skipping: 'Community Puppet Run Once - SSH Default' - Unknown template model ''
  Skipping: 'Community Run Command - SSH Default' - Unknown template model ''
  Skipping: 'Community Service Action - SSH Default' - Unknown template model ''
  Skipping: 'Community Start OpenSCAP scans' - Unknown template model ''
Community AutoYaST entire SCSI disk - import success
Community AutoYaST entire virtual disk - import success
Community AutoYaST LVM - import success
Community CoreOS default fake - import success
Community FreeBSD default fake - import success
Community Jumpstart default - import success
Community Jumpstart mirrored - import success
Community Junos default fake - import success
Community Kickstart default - import success
Community NX-OS default fake - import success
Community Preseed default - import success
Community Preseed default LVM - import success
Community XenServer default - import success
Community NX-OS default POAP setup - import success
Community Jumpstart default PXEGrub - import success
Community Kickstart default PXEGrub - import success
Community PXEGrub default local boot - import success
Community PXEGrub global default - import success
Community Kickstart default PXEGrub2 - import success
Community Preseed default PXEGrub2 - import success
Community PXEGrub2 default local boot - import success
Community PXEGrub2 global default - import success
Community Alterator default PXELinux - import success
Community AutoYaST default PXELinux - import success
Community CoreOS PXELinux - import success
Community FreeBSD (mfsBSD) PXELinux - import success
Community Kickstart default PXELinux - import success
Community Preseed default PXELinux - import success
Community PXELinux chain iPXE - import success
Community PXELinux chain iPXE UNDI - import success
Community PXELinux default local boot - import success
Community PXELinux default memdisk - import success
Community PXELinux global default - import success
Community WAIK default PXELinux - import success
Community XenServer default PXELinux - import success
Community Junos default ZTP config - import success
Community Alterator default finish - import success
Community FreeBSD (mfsBSD) finish - import success
Community Jumpstart default finish - import success
Community Junos default finish - import success
Community Kickstart default finish - import success
Community Preseed default finish - import success
Community XenServer default finish - import success
Community AutoYaST default iPXE - import success
Community Kickstart default iPXE - import success
Community Preseed default iPXE - import success
Community Alterator default - import success
Community Atomic Kickstart default - import success
Community AutoYaST default - import success
Community AutoYaST SLES default - import success
Community CoreOS provision - import success
Community FreeBSD (mfsBSD) provision - import success
Community Jumpstart default - import success
Community Junos default SLAX - import success
Community Kickstart default - import success
Community Kickstart RHEL default - import success
Community Preseed default - import success
Community XenServer default answerfile - import success
Community Grubby default - import success
Community alterator_pkglist - import success
Community ansible_tower_callback_service - import success
Community bmc_nic_setup - import success
Community chef_client - import success
Community coreos_cloudconfig - import success
Community create_users - import success
Community epel - import success
Community fix_hosts - import success
Community freeipa_register - import success
Community http_proxy - import success
Community kickstart_ifcfg_bond_interface - import success
Community kickstart_ifcfg_bonded_interface - import success
Community kickstart_ifcfg_generic_interface - import success
Community kickstart_ifcfg_get_identifier_names - import success
Community kickstart_networking_setup - import success
Community preseed_networking_setup - import success
Community puppet.conf - import success
Community puppet_setup - import success
Community puppetlabs_repo - import success
Community pxegrub2_chainload - import success
Community pxegrub2_discovery - import success
Community pxegrub_chainload - import success
Community pxegrub_discovery - import success
Community pxelinux_chainload - import success
Community pxelinux_discovery - import success
Community redhat_register - import success
Community remote_execution_ssh_keys - import success
Community saltstack_minion - import success
Community saltstack_setup - import success
Community AutoYaST default user data - import success
Community Kickstart default user data - import success
Community Preseed default user data - import success
Community UserData default - import success

Taxonomy is unset, so Org/Loc must be manually set after import. Not a blocker, filed an upstream bug: https://github.com/theforeman/foreman_templates/issues/60


[root@zzzap ~]# rpm -q foreman katello
foreman-1.15.2-1.el7sat.noarch
katello-3.4.4-2.el7sat.noarch

Comment 13 errata-xmlrpc 2018-02-21 12:32:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.